
Foreman - Bug #11615

Puppet class index "Environment and Documentaion" links broken

08/30/2015 07:37 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Puppet integration   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4058

  

Description

remove the "and documentation" part

Related issues:

Related to Foreman - Bug #2508: link_to_function environment, 'show_rdoc(this... Resolved 05/20/2013

Related to Foreman - Bug #1556: Puppet rdoc generation is broken in Foreman Closed 03/28/2012

Associated revisions

Revision b1dad4cd - 11/28/2016 10:35 AM - Tomer Brisker

Fixes #1556, #11615 - Remove puppet rdoc support

Puppet rdoc support has been broken for a long time. Removing it from

Foreman.

Revision 6253ebcd - 12/05/2016 09:32 AM - Tomer Brisker

Fixes #1556, #11615 - Remove puppet rdoc support

Puppet rdoc support has been broken for a long time. Removing it from

Foreman.

(cherry picked from commit b1dad4cd18dfc69faa8f1509b0b5b9a361976d59)

History

#1 - 08/31/2015 02:16 AM - Tomer Brisker

- Subject changed from puppetclass table header has "Environments and documentation" but only shows envirnments to Puppet class index

"Environment and Documentaion" links broken

The environments listed are supposed to be linked to puppet rdocs. However, the link is there even if the docs aren't present.

Either remove the functionality if it is not needed (and update the column header) or show the link only if there are docs.

#2 - 08/31/2015 02:17 AM - Tomer Brisker

- Category changed from Web Interface to Puppet integration

- Difficulty deleted (trivial)

#3 - 08/31/2015 02:19 AM - Tomer Brisker

- Related to Bug #2508: link_to_function environment, 'show_rdoc(this)' in broke in puppetclasses#index view added

#4 - 08/31/2015 02:21 AM - Tomer Brisker

- Related to Bug #1556: Puppet rdoc generation is broken in Foreman added

#5 - 11/27/2016 05:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/4058 added

#6 - 11/28/2016 11:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b1dad4cd18dfc69faa8f1509b0b5b9a361976d59.

#7 - 11/29/2016 03:12 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#8 - 11/29/2016 10:05 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b1dad4cd18dfc69faa8f1509b0b5b9a361976d59
http://www.tcpdf.org

